Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Deal Types

Get Deal Type

GET
/v1/deal-types/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/deal-types/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "name": "string",  "key": "string",  "emoji": "string",  "is_gallery": true,  "gallery_key": "string",  "deleted_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "statuses": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "deal_type_id": "67a77ec5-f8f5-437b-803b-6cf8616da6cc",      "idx": 9007199254740991,      "name": "string",      "type": "in_progress",      "key": "string",      "is_gallery": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}